class ConfigurationException(Exception):
    """
    Exception that is raised when there is an issue with
    the configuration.
    """

    def __init__(self, msg: str):
        super().__init__(msg)


class UnknownConstraintException(Exception):
    """
    Exception that is raised when there is a constraint type
    that we do not know about.
    """

    def __init__(self, msg: str):
        super().__init__(msg)
